Moving segments after range selection of vertices destroys topology
Priority: High
Category: Digitising

Affected QGIS version:3.2.3 Regression?:
Operating System: Windows 10/ Ubuntu 18.04 Easy fix?:
Pull Request or Patch supplied: Resolution:
No

Copied to github as #: 27979

Description

When using the vertex range selection, in order to select several segments which are supposed to be moved, the operation destroys the

toplogy of the layer.

When selecting the vertices by dragging a rectangle and one feature is selected, the operation also fails.

When selecting the vertices by dragging a rectangle without any selection it works just fine.

The attached gifs should illustrate the issue.

I am not sure if this issue should actually be split into two separate ones or if it has the same cause in the code base.

Related issues:
Duplicates QGIS Application - Bug report # 18190: vertex editor don't honour ...

Closed 2018-02-23

Associated revisions

Revision 93e737e4 - 2018-11-05 12:31 PM - Martin Dobias

[vertex tool] Fix topo editing when moving vertices/edges (fixes #20158)

- when some "extra" vertices are selected when moving a vertex, their coincident
vertices will be also moved (#20158)

- when moving an edge, coincident vertices to its endpoints will be also moved

- new tests to cover the above scenarios

- made the code hopefully easier to read

Revision 2f5a87fd - 2018-11-06 01:49 AM - Martin Dobias

[vertex tool] Fix topo editing when moving vertices/edges (fixes #20158)

- when some "extra" vertices are selected when moving a vertex, their coincident
vertices will be also moved (#20158)

- when moving an edge, coincident vertices to its endpoints will be also moved

- new tests to cover the above scenarios

- made the code hopefully easier to read

(cherry picked from commit 93e737e4bf50d03fa20316ec8da66db99e32c5¢d)

History

#1 - 2018-11-04 03:16 PM - Martin Dobias

2025-04-26

12




https://github.com/qgis/QGIS/pull/8413

#2 - 2018-11-05 12:31 PM - Martin Dobias
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|93e737e4bf50d03fa20316ec8da66db99e32c5cd.

#3 - 2018-11-21 02:58 PM - Martin Dobias

- Duplicates Bug report #18190: vertex editor don't honour topological editing when used with a feature selection AND a node selection added
